import '../../entities/financial/staff_payment.dart';

/// Adapter for Payment related data.
class PaymentAdapter {
  
  /// Converts string status to [PaymentStatus].
  static PaymentStatus toPaymentStatus(String status) {
    switch (status) {
      case 'PAID':
        return PaymentStatus.paid;
      case 'PENDING':
        return PaymentStatus.pending;
      case 'FAILED':
        return PaymentStatus.failed;
      default:
        return PaymentStatus.unknown;
    }
  }
}
